> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact

> Create a contact. Without `organization_id`, the company is found from the email domain.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/crm/contacts
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/contacts:
    post:
      tags:
        - CRM
      summary: Create Contact
      description: >-
        Create a contact. Without `organization_id`, the company is found from
        the email domain.
      operationId: create_crm_contact
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactCreateIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ContactCreateIn:
      properties:
        name:
          title: Name
          type: string
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        job_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Title
        organization_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Company id; null detaches the contact
          title: Organization Id
        owner_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Owner Id
        custom_fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Fields
        legal_basis:
          anyOf:
            - type: string
            - type: 'null'
          description: ''''', consent, contract or legitimate_interest'
          title: Legal Basis
        email_opt_out:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Opt Out
      required:
        - name
      title: ContactCreateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.